# Generated by Django 3.2.7 on 2021-09-22 01:54

import django.contrib.postgres.fields.ranges
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Session",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("hostname", models.CharField(max_length=255)),
                ("ip", models.CharField(max_length=255)),
                ("login", models.CharField(max_length=255)),
                (
                    "interval",
                    django.contrib.postgres.fields.ranges.DateTimeRangeField(),
                ),
            ],
            options={
                "ordering": ("-interval", "login"),
            },
        ),
        migrations.CreateModel(
            name="SessionState",
            fields=[
                (
                    "id",
                    models.BigAutoField(primary_key=True, serialize=False, unique=True),
                ),
                ("timestamp", models.DateTimeField()),
                ("hostname", models.CharField(max_length=255)),
                ("ip", models.CharField(max_length=255)),
                ("login", models.CharField(max_length=255)),
            ],
        ),
    ]
